package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.ReviewDetails;
import com.ruoyi.domain.ReviewKeyPoint;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ReviewDetailsMapper extends BaseMapper<ReviewDetails> {
    List<ReviewDetails> findByKeyPointList(@Param("reviewKeyPointList") List<ReviewKeyPoint> reviewKeyPointList);

    /**
     * 根据任务id查询没有回答细则的数量
     * @param taskId
     * @return
     */
    List<ReviewDetails> findNoResult(@Param("taskId") Long taskId);
}
