package com.ruoyi.web.request;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "TaskFindFinishRequest", description = "查询完成的总任务")
@Data
public class TaskFindFinishRequest extends PageDomain {

    @ApiModelProperty("任务编号")
    private String taskNo;

    @ApiModelProperty("名称关键词")
    private String taskName;

    @ApiModelProperty("任务开始时间")
    private Date taskBeginTime;

    @ApiModelProperty("任务结束时间")
    private Date taskEndTime;
}
